float time = 0.0f;
double numPoints = 733;

for (double t = 0; t < numPoints; t++)
{
	double rad = (t  - 90) / 180 * Math.PI;
	
	double phi = 1.618033988749894;

	double b = 2 * Math.Log(phi)/Math.PI;
	double radius = 0.01 * Math.Exp(b * rad);

	double x = 0.48 + Math.Sin(rad) * radius;
	double y = 0.39 + Math.Cos(rad) * radius;

	AddPoint((float)x * 1.3f, (float)y * 1.5f, (float)(t/numPoints), time);
  	time+=0.01f;
}
